MongoException
MongoResultException::getDocument
Exceptions
PHP Manual

# The MongoResultException class

(PECL mongo >=1.3.0)

## Einführung

The MongoResultException is thrown by several command helpers (such as MongoCollection::findAndModify()) in the event of failure. The original result document is available through MongoResultException::getDocument().

## Klassenbeschreibung

MongoResultException extends MongoException {
/* Eigenschaften */
public $document ;
/* Geerbte Eigenschaften */
protected string $message ;
protected int $code ;
protected string $file ;
protected int $line ;
/* Methoden */
public array getDocument ( void )
}

## Eigenschaften

document

  The raw result document as an array.

## Inhaltsverzeichnis

- MongoResultException::getDocument — Retrieve the full result document

MongoException
MongoResultException::getDocument
Exceptions
PHP Manual